.input {
  display: block;
  position: relative;
  width: 100%;
  height: 60px;
  background-color: #354E63;
  border-radius: 4px;
  box-shadow: 0 5px 5px 2px rgba(0, 0, 0, 0.20);
  overflow: hidden;

  &__icon-wrap {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    height: 100%;
    width: 60px;
  }

  &__icon {
    width: 30px;
  }

  &__field {
    background-color: transparent;
    height: 100%;
    width: 100%;
    appearance: none;
    outline: none;
    padding: 0 20px 0 60px;
    color: #fff;
    border: none;
    border-right: 4px solid #354E63;
    transition: 0.2s;

    &::placeholder {
      color: #4D6C87;
    }

    &:hover {
      border-right: 4px solid #4D6C87;
    }

    &:focus {
      border-right: 4px solid #658CAC;
    }

    &.is-error {
      border-right: 4px solid red;
    }
  }
}
